LLVM: lldb::SBCommunication Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
lldb::SBCommunication Class Reference

`#include <SBCommunication.h>`

## Public Types
enum | { eBroadcastBitDisconnected = (1 << 0), eBroadcastBitReadThreadGotBytes = (1 << 1), eBroadcastBitReadThreadDidExit = (1 << 2), eBroadcastBitReadThreadShouldExit = (1 << 3), eBroadcastBitPacketAvailable = (1 << 4), eAllEventBits = 0xffffffff }
typedef void(* | ReadThreadBytesReceived )(void *baton, const void *src, size_t src_len)

## Public Member Functions
| SBCommunication ()
| SBCommunication (const char *broadcaster_name)
| ~SBCommunication ()
bool | IsValid () const
lldb::SBBroadcaster | GetBroadcaster ()
lldb::ConnectionStatus | AdoptFileDesriptor (int fd, bool owns_fd)
lldb::ConnectionStatus | Connect (const char *url)
lldb::ConnectionStatus | Disconnect ()
bool | IsConnected () const
bool | GetCloseOnEOF ()
void | SetCloseOnEOF (bool b)
size_t | Read (void *dst, size_t dst_len, uint32_t timeout_usec, lldb::ConnectionStatus &status)
size_t | Write (const void *src, size_t src_len, lldb::ConnectionStatus &status)
bool | ReadThreadStart ()
bool | ReadThreadStop ()
bool | ReadThreadIsRunning ()
bool | SetReadThreadBytesReceivedCallback (ReadThreadBytesReceived callback, void *callback_baton)

## Static Public Member Functions
static const char * | GetBroadcasterClass ()

## Detailed Description

Definition at line 18 of file SBCommunication.h.

## Member Typedef Documentation

typedef void(* lldb::SBCommunication::ReadThreadBytesReceived)(void *baton, const void *src, size_t src_len)

Definition at line 30 of file SBCommunication.h.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  eBroadcastBitDisconnected | Sent when the communications connection is lost.
  eBroadcastBitReadThreadGotBytes | Sent by the read thread when bytes become available.
  eBroadcastBitReadThreadDidExit | Sent by the read thread when it exits to inform clients.
  eBroadcastBitReadThreadShouldExit | Sent by clients that need to cancel the read thread.
  eBroadcastBitPacketAvailable | Sent when data received makes a complete packet.
  eAllEventBits |

Definition at line 21 of file SBCommunication.h.

## Constructor & Destructor Documentation

lldb::SBCommunication::SBCommunication | ( |  | ) |

lldb::SBCommunication::SBCommunication | ( | const char * | broadcaster_name | ) |

lldb::SBCommunication::~SBCommunication | ( |  | ) |

## Member Function Documentation

lldb::ConnectionStatus lldb::SBCommunication::AdoptFileDesriptor | ( | int | fd,
|  | bool | owns_fd
| ) |  |

lldb::ConnectionStatus lldb::SBCommunication::Connect | ( | const char * | url | ) |

lldb::ConnectionStatus lldb::SBCommunication::Disconnect | ( |  | ) |

lldb::SBBroadcaster lldb::SBCommunication::GetBroadcaster | ( |  | ) |

static const char* lldb::SBCommunication::GetBroadcasterClass | ( |  | ) |
| static

bool lldb::SBCommunication::GetCloseOnEOF | ( |  | ) |

bool lldb::SBCommunication::IsConnected | ( |  | ) | const

bool lldb::SBCommunication::IsValid | ( |  | ) | const

size_t lldb::SBCommunication::Read | ( | void * | dst,
|  | size_t | dst_len,
|  | uint32_t | timeout_usec,
|  | lldb::ConnectionStatus & | status
| ) |  |

bool lldb::SBCommunication::ReadThreadIsRunning | ( |  | ) |

bool lldb::SBCommunication::ReadThreadStart | ( |  | ) |

bool lldb::SBCommunication::ReadThreadStop | ( |  | ) |

void lldb::SBCommunication::SetCloseOnEOF | ( | bool | b | ) |

bool lldb::SBCommunication::SetReadThreadBytesReceivedCallback | ( | ReadThreadBytesReceived | callback,
|  | void * | callback_baton
| ) |  |

size_t lldb::SBCommunication::Write | ( | const void * | src,
|  | size_t | src_len,
|  | lldb::ConnectionStatus & | status
| ) |  |

The documentation for this class was generated from the following file:

- SBCommunication.h